clear_file: |-
  #目录              #阀值        #命令  #参数 #目标
  log                80%:512M    delete    30    *.log

  #----说明-----
  #目录：需要监控的目录，使用相对安装目录路径
  #阀值：触发清理操作的条件[分区使用百分比:目录最大空间<M|m>]
  #命令：delete(删除指定时间前文件)，tar(压缩指定时间前文件)，clear(清空超过指定大小文件)
  #参数：delete,tar(默认天数,后缀h为小时，m为分钟)，clear(文件大小k)
  #目标：可以清理的文件,接受通配符

  #----示例-----
  #目录     #阀值    #命令   #参数  #目标
  #log      80%:10M  delete  30     stat*.log
  #data     90%:10M  tar     30     */*.dat
  #log      90%:10M  clear   50000  debug/err*.log
crontab: ""
install_postscript: |
  #!/bin/bash
  # Name    : install_postscript.py
  # Date    : 2016.03.28
  # Func    : 停止脚本
  # Note    : 注意：当前路径为应用部署文件夹

  #############################################################
  # 用户自定义
  app_folder="nginx"                 # 项目名称
  install_base="/usr/local/easyops"       # 安装根目录
  install_path="${install_base}/${app_folder}/"


  #############################################################
install_prescript: |+
  #!/bin/bash
  # Name    : install_prescript.py
  # Date    : 2016.03.28
  # Func    : 安装前脚本
  # Note    : 注意：当前路径非应用部署文件夹，注意相对路径

  #############################################################
  # 检查相关依赖组件是否已安装


monitor_script: ""
port_guard: stopStart
port_list:
- port: 80
  type: tcp
proc_guard: stopStart
proc_list:
- pid_file: null
  proc_name: nginx
  proc_num_max: null
  proc_num_min: null
restart_script: ''
rollback_postscript: ''
rollback_prescript: ''
start_script: |-
  #!/bin/bash
  # Name    : start_script.py
  # Date    : 2016.03.28
  # Func    : 启动脚本
  # Note    : 注意：当前路径为应用部署文件夹

  #############################################################
  # 用户自定义
  app_folder="nginx"                 # 项目根目录
  process_name="nginx"       # 进程名

  # file_owner="easyops"                    # 文件属主
  install_base="/usr/local/easyops"       # 安装根目录
  data_base="/data/easyops"               # 日志/数据根目录

  # 启动命令
  start_cmd="./sbin/${process_name} -c conf/nginx.conf >/dev/null 2>log/${app_folder}.err &"

  #############################################################
  # 通用前置
  # ulimit 设定
  ulimit -n 100000

  # 执行准备
  install_path="${install_base}/${app_folder}/"
  if [[ ! -d ${install_path} ]]; then
      echo "${install_path} is not exist"
      exit 1
  fi

  # 日志目录
  log_path="${data_base}/${app_folder}/log"
  mkdir -p ${log_path}
  cd ${install_path} && ln -snf ${log_path} log
  # nginx必须要有logs目录
  cd ${install_path} && ln -snf log logs

  chown -R easyops:easyops $log_path


  # 启动程序
  echo "start by cmd: ${start_cmd}"
  cd ${install_path} && eval $start_cmd
  if [[ $? -ne 0 ]];then
      echo "start error, exit"
      exit 1
  fi
stop_script: |
  #!/bin/bash
  # Name    : stop_script.py
  # Date    : 2016.03.28
  # Func    : 停止脚本
  # Note    : 注意：当前路径为应用部署文件夹

  #############################################################
  # 用户自定义
  process_name="nginx"       # 进程名

  # 停止进程
  ./sbin/nginx -s stop
update_postscript: |-
  #!/bin/bash
  # Name    : update_postscript.py
  # Date    : 2016.03.28
  # Func    : 升级后脚本
  # Note    : 注意：当前路径为应用部署文件夹

  #############################################################
  [[ -d log && ! -L log ]] && mv log log.`date '+%Y%m%d%H%M%S'`
  [[ -d logs && ! -L logs ]] && mv log log.`date '+%Y%m%d%H%M%S'`

  exit 0
update_prescript: ''
user: root:root
